summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2023-07-05 17:39:05 +0200
committerFlorian Dold <florian@dold.me>2023-07-05 17:39:05 +0200
commit3555746521d155783d69f4af0e3cded6ccaaa4c7 (patch)
treed6d73b60376dc2dfdaefc043d36a47cbe1e90326
parent967b9c40ae3cfc1261f03193dd0d88ae687485d0 (diff)
downloaddeployment-3555746521d155783d69f4af0e3cded6ccaaa4c7.tar.gz
deployment-3555746521d155783d69f4af0e3cded6ccaaa4c7.tar.bz2
deployment-3555746521d155783d69f4af0e3cded6ccaaa4c7.zip
simplify
-rwxr-xr-xsandcastle/build_base.sh36
1 files changed, 13 insertions, 23 deletions
diff --git a/sandcastle/build_base.sh b/sandcastle/build_base.sh
index 655d204..2c746e2 100755
--- a/sandcastle/build_base.sh
+++ b/sandcastle/build_base.sh
@@ -5,16 +5,12 @@
set -e
usage () {
- echo Usage: ./build_base.sh [-h, --help] [tags-file]
+ echo Usage: ./build_base.sh [-h, --help]
echo
- echo Builds the taler_local/taler_base base image, optionally
- echo using the 'tags-file', a text file containing environment
+ echo Builds the taler_local/taler_base base image,
+ echo using the buildconfig/tags.sh, a bash file containing environment
echo variables definitions to specify to which Git tag each Taler
- echo component should be pulled. The following tags exist:
- echo TAG_LIBMHD, TAG_GNUNET, TAG_EXCHANGE, TAG_MERCHANT,
- echo TAG_WALLET, TAG_LIBEUFIN, TAG_MERCHANT_DEMOS, TAG_SYNC.
- echo If tags-file is missing, all the code will be pulled
- echo from master\'s HEAD.
+ echo component should be pulled.
}
for helpOpt in "-h" "--help"; do
@@ -25,32 +21,26 @@ for helpOpt in "-h" "--help"; do
done
if ! which realpath > /dev/null; then
- echo "Please, install 'realpath' (coreutils)"
+ echo "Please install 'realpath' (coreutils)"
fi
-DOCKER_FILE="$(dirname $(realpath $BASH_SOURCE))/images/base/Dockerfile"
+DOCKER_FILE="images/base/Dockerfile"
-# Check base file.
-if ! test -a $DOCKER_FILE; then
+if [[ ! -e $DOCKER_FILE ]]; then
echo Base Dockerfile: $DOCKER_FILE not found.
exit 1
fi
+if [[ ! -e buildconfig/tags.sh ]]; then
+ echo "buildconfig/tags.sh required but does not exist"
+ exit 1
+fi
+
# Allows extra features to conditionally copy files
# from the host during the build. That solves the
# case where the tag file is not given.
export DOCKER_BUILDKIT=1
-mkdir -p buildconfig
-
-# --help option not found in $1, check for the tags-file.
-if test -n "$1"; then
- ! test -a "$1" && (echo "Tag file: $1 not found." && exit 1)
- cp $1 buildconfig/tags.sh
-else
- echo "" > buildconfig/tags.sh
-fi
-
-docker build --no-cache \
+exec docker build --no-cache \
-t taler_local/taler_base \
-f $DOCKER_FILE .